=== debian/changelog ===
google-android-installers (1659100756) unstable; urgency=medium

  * d/control: add build-dependency to po-debconf
  * d/control: enable autobuild

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 07 Aug 2022 09:56:23 +0200

google-android-installers (1659100755) unstable; urgency=medium

  * New upstream update (no new binary package)
  * Bump Standards-Version to 4.6.1 (no change)
  * Bugs below have already been addressed in version 1653078891. Closing them
    - Closes: #987347
    - Closes: #987349
    - Closes: #987955
    - LP: #1726423
    - LP: #1796005
    - LP: #1858055
    - LP: #1888559
    - LP: #1929734
    - LP: #1532510
    - LP: #1698502
  * some fixes suggested by lintian
  * d/control: fix Depends of build-tools when on i386 Architecture
  * d/control: fix Architecture of platform-tools & build-tools
  * d/control: add version number to cmdline-tools description
  * d/tests/control: add tests for build-tools to have also tests on i386
  * d/tests/control: fix Architecture of platform-tools & build-tools

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 30 Jul 2022 11:26:11 +0200

google-android-installers (1657726242) unstable; urgency=medium

  * New upstream update

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 19 Jul 2022 06:57:48 +0200

google-android-installers (1657651256) experimental; urgency=medium

  * New upstream update
    - Remove google-android-platform-32-tiramisu-installer
    - Add google-android-platform-33-installer
    - Add google-android-build-tools-33.0.0-installer
    - Add NDK r25
  * New upstream "51-android.rules" file

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 14 Jul 2022 15:16:16 +0200

google-android-installers (1653488019) experimental; urgency=medium

  * d/control: move package to non-free section
  * d/control: add myself to Uploaders

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 02 Jun 2022 22:00:34 +0200

google-android-installers (1653488018) experimental; urgency=medium

  * New upstream update
    - add NDK r23c
    - update platform-tools 33.0.1 -> 33.0.2
  * d/tests/control: test only google-android-extras-google-auto-installer
  * d/tests/control: Add Architecture field

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 29 May 2022 18:59:09 +0200

google-android-installers (1653078891) experimental; urgency=medium

  * Non-maintainer upload.
  * Update package with latest versions of 'platforms' and 'build-tools'
    components (Closes: #901029)
  * Remove packages for obsolete versions of the SDK components
  * Add packages for the following SDK components:
    - cmdline-tools
    - extras/google/auto (Android Auto Desktop Head Unit Emulator)
    - emulator
    - ndk
    - patcher
    - platform-tools
    - sources
  * Add google-android-licenses package holding android-sdk/licenses directory
  * Add /usr/lib/android-sdk/{build-tools/, platforms/,...} to
    /var/lib/dpkg/info/*.list  (Closes: #852139)
  * d/po/* & debconf templates:
    - add Spanish debconf translation, thanks to Camaleón, Closes: #987344.
    - fix typo
  * Set "Installed-Size:" in binary control file
  * Automate creation of binary packages
    - use Google's repository2-1.xml to get all current packages
    - add 'upgrade_package_versions.sh' script to ease update to newer versions
    - add 'build_control_file.sh' script to build d/control file
    - add 'build_tests_control_file.sh' script to build d/tests/control which
      is filled with simple autopkgtest tests for each package
    - build the package.xml file for each SDK components
  * d/copyright:
    - use license provided by repository2-1.xml to build copyright file
  * d/changelog:
    - update version of package to the timestamp as displayed
      in 'repository2-1.xml'
  * d/control:
    - display download size of ZIP files
    - is auto-generated
    - bump debhelper-compat to 13
    - bump Standards-Version to 4.6.0.1
  * d/rules:
    - creates the $package.* files
    - creates the missing sha1 sums
  * platform-tools:
    - add udev rules to platform-tools package (51-android.rules)

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 23 May 2022 14:13:04 +0200
