=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DH_VERBOSE=1

PLATFORMS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PLATFORMS_VERSIONS_TO_PACKAGE)
BUILD_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh BUILD_TOOLS_VERSIONS_TO_PACKAGE)
PATCHER_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PATCHER_VERSIONS_TO_PACKAGE)
CMDLINE_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh CMDLINE_TOOLS_VERSIONS_TO_PACKAGE)
PLATFORM_TOOLS_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh PLATFORM_TOOLS_VERSIONS_TO_PACKAGE)
NDK_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh NDK_VERSIONS_TO_PACKAGE)
SOURCES_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh SOURCES_VERSIONS_TO_PACKAGE)
EMULATOR_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh EMULATOR_VERSIONS_TO_PACKAGE)
EXTRAS_GOOGLE_AUTO_VERSIONS_TO_PACKAGE=$(shell debian/scripts/components_to_package.sh EXTRAS_GOOGLE_AUTO_VERSIONS_TO_PACKAGE)

%:
	dh $@ --with bash-completion

override_dh_clean:
	dh_clean
	@echo "Cleaning files for 'platforms' package"
	@for version in ${PLATFORMS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f2) ;\
	  VERBIS=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | cut -d "-" -f2  | tr '[:upper:]' '[:lower:]') ;\
	  if [ "$$VERBIS" != "$$VER" ]; then VER="$$VER-$$VERBIS"; fi ;\
	  rm -f debian/google-android-platform-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-platform-$$VER-installer.config ;\
	  rm -f debian/google-android-platform-$$VER-installer.dirs ;\
	  rm -f debian/google-android-platform-$$VER-installer.install ;\
	  rm -f debian/google-android-platform-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-platform-$$VER-installer.postinst ;\
	  rm -f debian/google-android-platform-$$VER-installer.postrm ;\
	  rm -f debian/google-android-platform-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'build-tools' package"
	@for version in ${BUILD_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.alternatives ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.config ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.dirs ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.install ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.postinst ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.postrm ;\
	  rm -f debian/google-android-build-tools-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'patcher' package"
	@for version in ${PATCHER_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | tr -d 'v') ;\
	  rm -f debian/google-android-patcher-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-patcher-$$VER-installer.config ;\
	  rm -f debian/google-android-patcher-$$VER-installer.dirs ;\
	  rm -f debian/google-android-patcher-$$VER-installer.install ;\
	  rm -f debian/google-android-patcher-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-patcher-$$VER-installer.postinst ;\
	  rm -f debian/google-android-patcher-$$VER-installer.postrm ;\
	  rm -f debian/google-android-patcher-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'cmdline-tools' package"
	@for version in ${CMDLINE_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.alternatives ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.config ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.dirs ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.install ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.postinst ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.postrm ;\
	  rm -f debian/google-android-cmdline-tools-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'platform-tools' package"
	@for version in ${PLATFORM_TOOLS_VERSIONS_TO_PACKAGE}; do \
	  rm -f debian/google-android-platform-tools-installer.bug-script ;\
	  rm -f debian/google-android-platform-tools-installer.config ;\
	  rm -f debian/google-android-platform-tools-installer.dirs ;\
	  rm -f debian/google-android-platform-tools-installer.install ;\
	  rm -f debian/google-android-platform-tools-installer.lintian-overrides ;\
	  rm -f debian/google-android-platform-tools-installer.postinst ;\
	  rm -f debian/google-android-platform-tools-installer.postrm ;\
	  rm -f debian/google-android-platform-tools-installer.templates ;\
	  rm -f debian/google-android-platform-tools-installer.bash-completion ;\
	  rm -f debian/google-android-platform-tools-installer.links ;\
	done

	@echo "Cleaning files for 'ndk' package"
	@for version in ${NDK_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER_LONG=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f3) ;\
	  VER=r$$(echo $$VER_LONG | cut -d . -f 1)$$(echo $$VER_LONG | cut -d . -f 2 | tr '[1-9]' '[b-z]' | tr -d '0') ;\
	  rm -f debian/google-android-ndk-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-ndk-$$VER-installer.config ;\
	  rm -f debian/google-android-ndk-$$VER-installer.dirs ;\
	  rm -f debian/google-android-ndk-$$VER-installer.install ;\
	  rm -f debian/google-android-ndk-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-ndk-$$VER-installer.postinst ;\
	  rm -f debian/google-android-ndk-$$VER-installer.postrm ;\
	  rm -f debian/google-android-ndk-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'sources' package"
	@for version in ${SOURCES_VERSIONS_TO_PACKAGE}; do \
	  version=$$(echo $$version | sed "s/,/;/g");\
	  VER=$$(grep --perl-regex "^$$version\t" debian/version_list.txt | cut -d "	" -f1 | cut -d ";" -f2 | cut -d '-' -f2) ;\
	  rm -f debian/google-android-sources-$$VER-installer.bug-script ;\
	  rm -f debian/google-android-sources-$$VER-installer.config ;\
	  rm -f debian/google-android-sources-$$VER-installer.dirs ;\
	  rm -f debian/google-android-sources-$$VER-installer.install ;\
	  rm -f debian/google-android-sources-$$VER-installer.lintian-overrides ;\
	  rm -f debian/google-android-sources-$$VER-installer.postinst ;\
	  rm -f debian/google-android-sources-$$VER-installer.postrm ;\
	  rm -f debian/google-android-sources-$$VER-installer.templates ;\
	done

	@echo "Cleaning files for 'emulator' package"
	@for version in ${EMULATOR_VERSIONS_TO_PACKAGE}; do \
	  rm -f debian/google-android-emulator-installer.bug-script ;\
	  rm -f debian/google-android-emulator-installer.config ;\
	  rm -f debian/google-android-emulator-installer.dirs ;\
	  rm -f debian/google-android-emulator-installer.install ;\
	  rm -f debian/google-android-emulator-installer.lintian-overrides ;\
	  rm -f debian/google-android-emulator-installer.postinst ;\
	  rm -f debian/google-android-emulator-installer.postrm ;\
	  rm -f debian/google-android-emulator-installer.templates ;\
	  rm -f debian/google-android-emulator-installer.bash-completion ;\
	  rm -f debian/google-android-emulator-installer.links ;\
	done
