=== debian/tests/control ===
# -- This file was generated automatically by the debian/scripts/build_tests_control_file.sh script --
Test-Command: /usr/lib/android-sdk/build-tools/19.1.0/aapt v
Depends: google-android-build-tools-19.1.0-installer
Architecture: i386 amd64

Test-Command: /usr/lib/android-sdk/build-tools/33.0.0/aapt v
Depends: google-android-build-tools-33.0.0-installer
Architecture: amd64

Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
Depends: google-android-extras-google-auto-installer
Architecture: amd64
