## google-android-installers 1659100756ubuntu1

=== debian/changelog ===
google-android-installers (1659100756ubuntu1) kinetic; urgency=medium

  * google-android-extras-google-auto-installer: Explicitly use
    libc++1-14 and libc++abi1-14. See #1020423.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Oct 2022 13:46:42 +0200

google-android-installers (1659100756build1) kinetic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2022 20:53:31 +0200
