## google-android-installers 1675172736

=== debian/changelog ===
google-android-installers (1675172736) unstable; urgency=medium

  * cmdline-tools: add dependency to build-tools packages. Closes: #1033729

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 03 Apr 2023 18:25:39 +0200

google-android-installers (1675172735) unstable; urgency=medium

  * New upstream update
    - NEW package: google-android-cmdline-tools-9.0-installer
    - NEW package: google-android-ndk-r25c-installer
    - update emulator package to 31.3.15
    - update "platforms;android-TiramisuPrivacySandbox" v33 to rev9
    - refresh Android Auto dependencies [adds libusb-1.0-0 (>= 2:1.0.8)]

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 08 Feb 2023 11:36:58 +0100

google-android-installers (1673573135) unstable; urgency=medium

  * add pt_BR translation (Closes: #1025448). Thanks to Paulo Henrique de
    Lima Santana
  * New upstream update
    - NEW package: google-android-build-tools-33.0.1-installer
    - NEW package: google-android-cmdline-tools-8.0-installer
    - update emulator package to 31.3.14

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 13 Jan 2023 12:34:58 +0100

google-android-installers (1666965622) unstable; urgency=medium

  * move to google-android-tools-team

 -- Roger Shimizu <rosh@debian.org>  Tue, 22 Nov 2022 19:57:16 +0100

google-android-installers (1666965621) unstable; urgency=medium

  * New upstream update
    - update emulator package to 31.3.13
    - update platform-TiramisuPrivacySandbox to r08
    - update android auto to 2.0
  * update Android Auto dependencies - Closes: #1021189
  * set Android Auto version to 2.0.2+really2.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 03 Nov 2022 09:04:28 +0100

google-android-installers (1663888325) unstable; urgency=medium

  * d/copyright*: make it more fine-grained
  * New upstream update
    - update emulator package to 31.3.11
    - update platform-tools to 33.0.3
    - update android-TiramisuPrivacySandbox 33 to rev 6
    - NEW package: google-android-sources-33-installer
    - NEW package: google-android-ndk-r25b-installer
  * Update 51-android.rules to latest upstream

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 26 Sep 2022 20:40:13 +0200
