=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Source: google-android-installers
 Section: non-free/devel
 Priority: optional
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Fab Stz <fabstz-it@yahoo.fr>, Mouaad Aallam <Mouaad@Aallam.com>
+Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Uploaders: Roger Shimizu <rosh@debian.org>, Mouaad Aallam <Mouaad@Aallam.com>
 Build-Depends: bash-completion, debhelper-compat (=13), po-debconf
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://developer.android.com/about/index.html
-Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-installers.git
-Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-installers
+Vcs-Git: https://salsa.debian.org/google-android-tools-team/google-android-installers.git
+Vcs-Browser: https://salsa.debian.org/google-android-tools-team/google-android-installers
 XS-Autobuild: yes
 
 Package: google-android-licenses
