## google-android-installers 1675172738

=== for-postinst/default/Makefile ===
--- 
+++ 
@@ -49,6 +49,34 @@
 	  cd $(DL_DIR) && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
 	fi
 
+# Search for broken symbolic links & fix them
+	@if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
+	  ZIP_ROOT_DIR=$(TRG_DIR) ;\
+	else \
+	  ZIP_ROOT_DIR=$$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1 | cut -d '/' -f 1) ;\
+	fi && \
+	BROKEN_SYMLINKS=$$(cd $(DL_DIR)/$$ZIP_ROOT_DIR && find -xtype l -exec ls {} \;) && \
+	if [ -n "$$BROKEN_SYMLINKS" ]; then \
+	  echo "\n  Fixing broken symbolic links."; \
+	fi && \
+	for file in $$BROKEN_SYMLINKS; do \
+	  cd $(DL_DIR)/$$ZIP_ROOT_DIR && \
+	  LINK_TARGET=$$(readlink "$$file") && \
+	  REL_PATH_TO_TARGET=$$(echo "$$LINK_TARGET" | sed "s|.*$$ZIP_ROOT_DIR/\(.*\)|\1|") && \
+	  echo "    Replacing symbolic link: $$file" && \
+	  echo "      Original target: $$LINK_TARGET" && \
+	  echo "      New target: $$REL_PATH_TO_TARGET" && \
+	  ln -fsr "$$REL_PATH_TO_TARGET" "$$file"; \
+	done; \
+	BROKEN_SYMLINKS_AFTER=$$(cd $(DL_DIR)/$$ZIP_ROOT_DIR && find -xtype l -exec ls {} \;) && \
+	if [ -n "$$BROKEN_SYMLINKS_AFTER" ]; then \
+	  echo "\n  Some files have broken symbolic links. Please report a bug to the package maintainer\n"; \
+	  for item in $$BROKEN_SYMLINKS_AFTER; do \
+	    echo "    $$item"; \
+	  done && \
+	  exit 1 ;\
+	fi
+
 $(DL_DIR)/$(PKG_SOURCE):
 	cd $(DL_DIR) && \
 		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL) -O $(PKG_SOURCE).tmp && mv $(PKG_SOURCE).tmp $(PKG_SOURCE)"
