=== debian/changelog ===
google-android-installers (1675172738) unstable; urgency=medium

  * Makefile: fix broken symbolic links (Closes: #1035713)

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 May 2023 17:35:00 +0200

google-android-installers (1675172737) unstable; urgency=medium

  * cmdline-tools: set Architecture to 'amd64 i386'

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 09 Apr 2023 22:31:58 +0200
