=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 
 override_dh_clean:
 	dh_clean
+
+	@sed -i -e "/googleAndroidCmdlineToolsInstallers:Depends=/ s/=.*/=/" debian/cmdline-tools.substvars.in
+
 	@echo "Cleaning files for 'platforms' package"
 	@for version in ${PLATFORMS_VERSIONS_TO_PACKAGE}; do \
 	  version=$$(echo $$version | sed "s/,/;/g");\
@@ -132,7 +135,3 @@
 	  rm -f debian/google-android-emulator-installer.postinst ;\
 	  rm -f debian/google-android-emulator-installer.postrm ;\
 	  rm -f debian/google-android-emulator-installer.templates ;\
-	  rm -f debian/google-android-emulator-installer.bash-completion ;\
-	  rm -f debian/google-android-emulator-installer.links ;\
-	done
-
