=== debian/tests/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Depends: google-android-build-tools-19.1.0-installer
 Architecture: i386 amd64
 
-Test-Command: /usr/lib/android-sdk/build-tools/33.0.0/aapt v
-Depends: google-android-build-tools-33.0.0-installer
+Test-Command: /usr/lib/android-sdk/build-tools/33.0.1/aapt v
+Depends: google-android-build-tools-33.0.1-installer
 Architecture: amd64
 
 Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
